'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var classnames = require('classnames');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);
var classnames__default = /*#__PURE__*/_interopDefaultLegacy(classnames);

/*! *****************************************************************************
Copyright (c) Microsoft Corporation.

Permission to use, copy, modify, and/or distribute this software for any
purpose with or without fee is hereby granted.

THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
PERFORMANCE OF THIS SOFTWARE.
***************************************************************************** */

var __assign = function() {
    __assign = Object.assign || function __assign(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};

function __rest(s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
}

var styles = {"fontFamily":"Typography-module__3vNPOCvt__v3-0-16","heading-1":"Typography-module__3Z0Oot5O__v3-0-16","heading-2":"Typography-module__1JbxWZF3__v3-0-16","heading-3":"Typography-module__2xWY5JDF__v3-0-16","heading-4":"Typography-module__2LqCsgLQ__v3-0-16","subtitle-1":"Typography-module__13OtDNn___v3-0-16","subtitle-2":"Typography-module__1vaNFaoa__v3-0-16","subtitle-3":"Typography-module__OU90cvvz__v3-0-16","subtitle-4":"Typography-module__1gRqi1a1__v3-0-16","body-1":"Typography-module__2uoDh7Lc__v3-0-16","button-1":"Typography-module__1KnOaXLm__v3-0-16","caption-1":"Typography-module__2gU8wbJ6__v3-0-16","caption-2":"Typography-module__3lmxW6P0__v3-0-16","overline-1":"Typography-module__2-d12Wsw__v3-0-16"};

var variantMapping = {
    'heading-1': 'h1',
    'heading-2': 'h2',
    'heading-3': 'h3',
    'heading-4': 'h4',
    'subtitle-1': 'h6',
    'subtitle-2': 'h6',
    'subtitle-3': 'h6',
    'subtitle-4': 'h6',
    'body-1': 'p',
    'button-1': 'span',
    'caption-1': 'span',
    'caption-2': 'span',
    'overline-1': 'span',
};
var TypographyWithRef = function (_a, ref) {
    var children = _a.children, className = _a.className, component = _a.component, variant = _a.variant, otherProps = __rest(_a, ["children", "className", "component", "variant"]);
    var tag = component || variantMapping[variant];
    return React__default["default"].createElement(tag, __assign(__assign({}, otherProps), { ref: ref, className: classnames__default["default"](styles[variant], className, styles.fontFamily) }), children);
};
TypographyWithRef.displayName = 'Typography';
var Typography = React__default["default"].forwardRef(TypographyWithRef);

exports.Typography = Typography;
//# sourceMappingURL=index.js.map
