import React from 'react';
declare type TypographyVariant = 'heading-1' | 'heading-2' | 'heading-3' | 'heading-4' | 'subtitle-1' | 'subtitle-2' | 'subtitle-3' | 'subtitle-4' | 'body-1' | 'button-1' | 'caption-1' | 'caption-2' | 'overline-1';
export declare type TypographyProps = React.PropsWithChildren<{
    /** Allows providing a custom class name */
    className?: string;
    /** Specify an HTML tag for rendering the element */
    component?: string;
    variant: TypographyVariant;
} & React.HTMLAttributes<HTMLElement> & React.ButtonHTMLAttributes<HTMLElement>>;
declare const Typography: React.ForwardRefExoticComponent<{
    /** Allows providing a custom class name */
    className?: string | undefined;
    /** Specify an HTML tag for rendering the element */
    component?: string | undefined;
    variant: TypographyVariant;
} & React.HTMLAttributes<HTMLElement> & React.ButtonHTMLAttributes<HTMLElement> & {
    children?: React.ReactNode;
} & React.RefAttributes<HTMLElement>>;
export default Typography;
